Module ij
Package ij.plugin

# Class CanvasResizer

java.lang.Object
ij.plugin.CanvasResizer

All Implemented Interfaces:
  `PlugIn`

public class CanvasResizer extends Object implements PlugIn
This plugin implements the Image/Adjust/Canvas Size command. It changes the canvas size of an image or stack without resizing the image. The border is filled with the current background color.

Author:
  Jeffrey Kuhn (jkuhn at ccwf.cc.utexas.edu)

## Constructor Summary

Constructors
Constructor
Description
`CanvasResizer()`

## Method Summary

Modifier and Type
Method
Description
`ImageProcessor`
`expandImage(ImageProcessor ipOld, int wNew, int hNew, int xOff, int yOff)`
`ImageStack`
`expandStack(ImageStack stackOld, int wNew, int hNew, int xOff, int yOff)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CanvasResizer

public CanvasResizer()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### expandStack

public ImageStack expandStack(ImageStack stackOld, int wNew, int hNew, int xOff, int yOff)

### expandImage

public ImageProcessor expandImage(ImageProcessor ipOld, int wNew, int hNew, int xOff, int yOff)